PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
viv_dc_display Struct Reference

## Data Fields
viv_dc_layer | layers [DC_LAYER_NUM]
gctBOOL | layer_dirty [DC_LAYER_NUM]
gctBOOL | cursor_enable [DC_CURSOR_NUM]
viv_cursor | cursors [DC_CURSOR_NUM]
viv_dc_buffer | cursor_buffer [DC_CURSOR_NUM]
gctBOOL | cursor_dirty [DC_CURSOR_NUM]
viv_dc_color | bg_color [DC_DISPLAY_NUM]
gctBOOL | bg_dirty [DC_DISPLAY_NUM]
viv_display_size_type | size [DC_DISPLAY_NUM]
viv_output | output [DC_DISPLAY_NUM]
gctBOOL | display_enable [DC_DISPLAY_NUM]
viv_dbi_type | dbi_type [DC_DISPLAY_NUM]
gctBOOL | display_dirty [DC_DISPLAY_NUM]
gctUINT | dpy_hline
gctUINT | dpy_htotal
gctUINT | dpy_vline
gctUINT | dpy_vtotal
gctUINT | dpy_hsync_start
gctUINT | dpy_hsync_end
gctUINT | dpy_vsync_start
gctUINT | dpy_vsync_end
gctBOOL | gamma_enabled [DC_DISPLAY_NUM]
viv_dc_gamma | gamma_table [DC_DISPLAY_NUM]
gctBOOL | gamma_dirtys [DC_DISPLAY_NUM]
gctBOOL | lut_enable [DC_DISPLAY_NUM]
gctBOOL | dither_enabled [DC_DISPLAY_NUM]
gctBOOL | dither_dirtys [DC_DISPLAY_NUM]
gctUINT | table_low [DC_DISPLAY_NUM]
gctUINT | table_high [DC_DISPLAY_NUM]
gctBOOL | mem2mem [DC_DISPLAY_NUM]
gctUINT32 | qos_low
gctUINT32 | qos_high
gctBOOL | qos_dirty
gctUINT32 | display_mask

## Field Documentation

## ◆ layers

viv_dc_layer viv_dc_display::layers[DC_LAYER_NUM]

## ◆ layer_dirty

gctBOOL viv_dc_display::layer_dirty[DC_LAYER_NUM]

## ◆ cursor_enable

gctBOOL viv_dc_display::cursor_enable[DC_CURSOR_NUM]

## ◆ cursors

viv_cursor viv_dc_display::cursors[DC_CURSOR_NUM]

## ◆ cursor_buffer

viv_dc_buffer viv_dc_display::cursor_buffer[DC_CURSOR_NUM]

## ◆ cursor_dirty

gctBOOL viv_dc_display::cursor_dirty[DC_CURSOR_NUM]

## ◆ bg_color

viv_dc_color viv_dc_display::bg_color[DC_DISPLAY_NUM]

## ◆ bg_dirty

gctBOOL viv_dc_display::bg_dirty[DC_DISPLAY_NUM]

## ◆ size

viv_display_size_type viv_dc_display::size[DC_DISPLAY_NUM]

## ◆ output

viv_output viv_dc_display::output[DC_DISPLAY_NUM]

## ◆ display_enable

gctBOOL viv_dc_display::display_enable[DC_DISPLAY_NUM]

## ◆ dbi_type

viv_dbi_type viv_dc_display::dbi_type[DC_DISPLAY_NUM]

## ◆ display_dirty

gctBOOL viv_dc_display::display_dirty[DC_DISPLAY_NUM]

## ◆ dpy_hline

gctUINT viv_dc_display::dpy_hline

## ◆ dpy_htotal

gctUINT viv_dc_display::dpy_htotal

## ◆ dpy_vline

gctUINT viv_dc_display::dpy_vline

## ◆ dpy_vtotal

gctUINT viv_dc_display::dpy_vtotal

## ◆ dpy_hsync_start

gctUINT viv_dc_display::dpy_hsync_start

## ◆ dpy_hsync_end

gctUINT viv_dc_display::dpy_hsync_end

## ◆ dpy_vsync_start

gctUINT viv_dc_display::dpy_vsync_start

## ◆ dpy_vsync_end

gctUINT viv_dc_display::dpy_vsync_end

## ◆ gamma_enabled

gctBOOL viv_dc_display::gamma_enabled[DC_DISPLAY_NUM]

## ◆ gamma_table

viv_dc_gamma viv_dc_display::gamma_table[DC_DISPLAY_NUM]

## ◆ gamma_dirtys

gctBOOL viv_dc_display::gamma_dirtys[DC_DISPLAY_NUM]

## ◆ lut_enable

gctBOOL viv_dc_display::lut_enable[DC_DISPLAY_NUM]

## ◆ dither_enabled

gctBOOL viv_dc_display::dither_enabled[DC_DISPLAY_NUM]

## ◆ dither_dirtys

gctBOOL viv_dc_display::dither_dirtys[DC_DISPLAY_NUM]

## ◆ table_low

gctUINT viv_dc_display::table_low[DC_DISPLAY_NUM]

## ◆ table_high

gctUINT viv_dc_display::table_high[DC_DISPLAY_NUM]

## ◆ mem2mem

gctBOOL viv_dc_display::mem2mem[DC_DISPLAY_NUM]

## ◆ qos_low

gctUINT32 viv_dc_display::qos_low

## ◆ qos_high

gctUINT32 viv_dc_display::qos_high

## ◆ qos_dirty

gctBOOL viv_dc_display::qos_dirty

## ◆ display_mask

gctUINT32 viv_dc_display::display_mask